import { BaseCustomWebComponentConstructorAppend } from "@node-projects/base-custom-webcomponent";
export declare class SimpleSplitView extends BaseCustomWebComponentConstructorAppend {
    static readonly style: CSSStyleSheet;
    static readonly template: HTMLTemplateElement;
    static properties: {
        orientation: StringConstructor;
    };
    private _orientation;
    get orientation(): "vertical" | "horizontal";
    set orientation(value: "vertical" | "horizontal");
    constructor();
    ready(): void;
}
